%define name	krename
%define version	3.0.2
%define release 1mdk

Summary:	A powerful batch renamer for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.krename.net/
Group:		Graphical desktop/KDE
Source0: 	http://prdownloads.sourceforge.net/krename/%{name}-%version.tar.bz2
BuildRequires:  qt3-devel kdelibs-devel libz-devel XFree86-devel fam-devel expat-devel
BuildRequires:	png-devel jpeg-devel libart_lgpl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Krename is a very powerful batch file renamer for KDE3
which can rename a list of files based on a set of expressions.
It can copy/move the files to another directory or simply 
rename the input files.
prename supports many conversion operations, including
conversion of a filename to lowercase or to uppercase,
conversion of the first letter of every word to uppercase,
adding numbers to filenames, finding and replacing parts of
the filename, and many more. It can also change access and
modification dates, permissions, and file ownership.

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--mandir=%{_mandir} \
		--datadir=%{_datadir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--with-qt-dir=%{_libdir}/qt3 \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/File tools" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/locolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang 
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS ChangeLog INSTALL README
%{_bindir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%_datadir/apps/konqueror/servicemenus/*.desktop


%changelog
* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Wed Jun 30 2004  Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.2mdk
- REbuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.1mdk
- 3.0.0rc1

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.4-1mdk
- 2.9.4

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8.5-1mdk
- really update to 2.8.5
- fix changelog

* Thu Jan 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.8.5-1mdk
- 2.8.5

* Fri Dec 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.8.4-1mdk
- 2.8.4
- fix buildrequires (lib64..)
- --enable-final

* Thu Oct 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.3-2mdk
- fix hardcoded path

* Tue Oct 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.3-1mdk
- 2.8.3

* Wed Aug 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.2-1mdk
- 2.8.2

* Sun Jul 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.8.1-1mdk
- 2.8.1
- commented out --enable-final, won't compile for now

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.6.2-2mdk
- update url
- fix path to qt3 (lib64 issues..)
- --with-xinerama

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 2.6.2-1mdk
- 2.6.2

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.5-1mdk
- 2.5.5

* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.4-2mdk
- fix buildrequires

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.4-1mdk
- 2.5.4
- added some docs

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.3-3mdk
- hot dangedydang, even more missing BuildRequires

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.3-2mdk
- add missing BuildRequires
- .spec cleanups

* Sun Feb 16 2003 Laurent Culioli <laurent@pschit.net> 2.5.3-1mdk
- 2.5.3

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 2.5.1-1mdk
- 2.5.1
- drop patch0 & 1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2.4.1-2mdk
- rebuild

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- 2.4.1
	- Patch #0 updated
	- Fixed deprecated headers with Patch #1

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Initial release
